Summary:	gzip recovery toolkit
Summary(pl.UTF-8):	Zestaw naprawczy do gzipa
Name:		gzrt
Version:	0.8
Release:	1
License:	GPL v2+
Group:		Applications/Archiving
Source0:	http://www.urbanophile.com/arenn/hacking/gzrt/%{name}-%{version}.tar.gz
# Source0-md5:	464dd7b12209e0aad619a2429af54d61
URL:		http://www.urbanophile.com/arenn/hacking/gzrt/gzrt.html
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The gzip recovery toolkit attempts to automate the recovery of data
from corrupted gzip files through a program called gzrecover.  This
package is very experimental at this point.

%description -l pl.UTF-8
gzrt próbuje zautomatyzować odtwarzanie danych z uszkodzonych archiwów
gzip z użyciem programu gzrecover. To narzędzie należy jeszcze
traktować jako eksperymentalne.

%prep
%setup -q

%build
%{__cc} %{rpmldflags} %{rpmcflags} %{rpmcppflags} -o gzrecover \
	-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 gzrecover.c -lz

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install gzrecover $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/gzrecover
%changelog
* Mon Oct 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gzrt.git;a=log;h=master

* Mon Oct 14 2013 Jakub Bogusz <qboosh@pld-linux.org> ef7e1cc
- updated to 0.8

* Tue Jun 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 1034533
- updated to 0.7

* Sun Feb 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 9886b42
- updated to 0.6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a194139
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2f4b4e7
- converted to UTF-8

* Sun Feb 11 2007 areq <areq@pld-linux.org> c34bfe6
- 0.5

* Sun Nov 13 2005 areq <areq@pld-linux.org> ca4c2a3
- 0.4

* Thu Apr 14 2005 darekr <darekr@pld-linux.org> b63b206
- updated to 0.3

* Sun May 23 2004 Jakub Bogusz <qboosh@pld-linux.org> 57b8d04
- use optflags

* Sat May 22 2004 ankry <ankry@pld-linux.org> d6f66a3
- cosmetics

* Sat May 22 2004 Sebastian Zagrodzki <sebek@zagrodzki.net> 82402ab
- initial release

